﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ganme1
{
    /// <summary>
    /// 主窗口
    /// </summary>
    public class From
    {
        #region Fildes

        private static int width;  //窗口宽度 
        private static int height; //窗口高度
        private static int left; //窗口水平位置
        private static int top; //窗口垂直位置
        private static int[,] map; //储存游戏位置数组

        public static int[,] Map
        {
            get { return map; }
            set { map = value; }
        }

        public static int Left
        {
            get { return left; }
            set { left = value; }
        }

        public static int Top
        {
            get { return top; }
            set { top = value; }
        }

        public static int Width
        {
            get { return width; }
            set { width = value; }
        }

        public static int Height
        {
            get { return height; }
            set { height = value; }
        }

        #endregion

        public From()
        {
            width = 30;
            height = 20;
            map = new int[width, height];
        }

        /// <summary>
        /// 绘制边框
        /// </summary>
        public void DrawBorder()
        {
            Console.ForegroundColor = ConsoleColor.Gray;
            Console.CursorVisible = false;
            Console.SetCursorPosition(Left, Top);

            Console.Write("┎" + new string('━', width) + "┒");
            for (int i = 0; i <= height; i++)
            {
                if (i != height)
                {
                    Console.SetCursorPosition(left, top + i + 1);
                    Console.Write("┃" + new string(' ', 2 * width) + "┃");
                }
                else
                {
                    Console.SetCursorPosition(left, top + i + 1);
                    Console.Write("┗" + new string('━', width) + "┛");
                }
            }
        }

        /// <summary>
        /// 打印地图
        /// </summary>
        public void DrawMap()
        {
            for (int i = 0; i < height; i++)
            {
                for (int j = 0; j < width; j++)
                {
                    if (From.map[j, i] == 2)
                    {
                        Console.SetCursorPosition(left + 2 + 2 * j, top + 1 + i);
                        Console.Write('■');
                    }

                }
            }
        }


       
    }
}
